package de.ozgcloud.admin.settings;

import java.util.Map;

import org.springframework.data.mongodb.core.mapping.Document;

import lombok.Builder;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@Builder
@Document(ConfigurationProperties.COLLECTION_NAME)
public class ConfigurationProperties {
	public static final String COLLECTION_NAME = "configuration_properties";
	private String application;
	private String profile;
	private Map<String, Object> source;
}
