package de.ozgcloud.admin.settings.postfach;

import static de.ozgcloud.admin.common.errorhandling.ValidationMessageCodes.*;

import jakarta.validation.constraints.NotEmpty;

import lombok.Builder;
import lombok.Getter;
import lombok.extern.jackson.Jacksonized;

@Getter
@Builder
@Jacksonized
class Absender {
	@NotEmpty(message = FIELD_IS_EMPTY)
	private String name;
	@NotEmpty(message = FIELD_IS_EMPTY)
	private String anschrift;
	@NotEmpty(message = FIELD_IS_EMPTY)
	private String dienst;
	@NotEmpty(message = FIELD_IS_EMPTY)
	private String mandant;
	@NotEmpty(message = FIELD_IS_EMPTY)
	private String gemeindeschluessel;
}
